config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/quagga/bgpd.conf.new
config etc/quagga/ospfd.conf.new
config etc/quagga/ripd.conf.new
config etc/quagga/zebra.conf.new
config etc/quagga/vtysh.conf.new
config etc/rc.d/rc.bgpd.new
config etc/rc.d/rc.ospfd.new
config etc/rc.d/rc.ripd.new
config etc/rc.d/rc.watchquagga.new
config etc/rc.d/rc.zebra.new

QUSER=`cat /etc/passwd | grep ^quagga:`
QGROUP=`cat /etc/group | grep ^quagga:`

# User and group
if [ ! -z $(echo $QUSER) ]; then
	userdel quagga 2> /dev/null
fi
if [ ! -z $(echo $QGROUP) ]; then
	groupdel quagga 2> /dev/null
fi

groupadd quagga
useradd quagga -g quagga -s /bin/false

chown -R quagga.quagga /var/run/quagga
chown -R quagga.quagga /etc/quagga

( cd usr/lib ; rm -rf libospf.so.0 )
( cd usr/lib ; ln -sf libospf.so.0.0.0 libospf.so.0 )
( cd usr/lib ; rm -rf libzebra.so.0 )
( cd usr/lib ; ln -sf libzebra.so.0.0.0 libzebra.so.0 )
( cd usr/lib ; rm -rf libzebra.so )
( cd usr/lib ; ln -sf libzebra.so.0.0.0 libzebra.so )
( cd usr/lib ; rm -rf libospf.so )
( cd usr/lib ; ln -sf libospf.so.0.0.0 libospf.so )
